Skip to main content
GET
/
api
/
v1
/
events
/
{event_id}
Get Event by ID
curl --request GET \
  --url 'https://api.finvera.news/delivery/api/v1/events/{event_id}?apikey='
{
  "event_id": "4be8fed5-f9db-41ef-a107-c20c3339998d",
  "title": "Example Corp reports Q1 earnings beat",
  "headline": "Example Corp tops Q1 estimates on strong product demand.",
  "description": "Example Corp reported quarterly earnings that exceeded analyst expectations, driven by higher product demand and improved operating margins.",
  "symbol": "EXMP",
  "exchange": "XNAS",
  "figis": [
    "BBG000BXXXXX"
  ],
  "event_type": "EARNINGS",
  "source": "PRESS_RELEASE",
  "sentiment": 0.82,
  "occurred_at": "2025-04-23T11:34:15-04:00",
  "created_at": "2025-04-23T15:34:15Z",
  "updated_at": "2025-04-23T15:34:15Z",
  "securities": [
    {
      "figi": "BBG000BXXXXX",
      "isin": "US0000000000",
      "name": "EXAMPLE CORP",
      "symbol": "EXMP",
      "mic_code": "XNAS",
      "figi_composite": "BBG000BXXXXX",
      "figi_share_class": "BBG001SXXXXX",
      "refinitiv_exch_code": "NAS"
    }
  ]
}
{
  "event_id": "4be8fed5-f9db-41ef-a107-c20c3339998d",
  "title": "Example Corp reports Q1 earnings beat",
  "headline": "Example Corp tops Q1 estimates on strong product demand.",
  "description": "Example Corp reported quarterly earnings that exceeded analyst expectations, driven by higher product demand and improved operating margins.",
  "symbol": "EXMP",
  "exchange": "XNAS",
  "figis": [
    "BBG000BXXXXX"
  ],
  "event_type": "EARNINGS",
  "source": "PRESS_RELEASE",
  "sentiment": 0.82,
  "occurred_at": "2025-04-23T11:34:15-04:00",
  "created_at": "2025-04-23T15:34:15Z",
  "updated_at": "2025-04-23T15:34:15Z",
  "securities": [
    {
      "figi": "BBG000BXXXXX",
      "isin": "US0000000000",
      "name": "EXAMPLE CORP",
      "symbol": "EXMP",
      "mic_code": "XNAS",
      "figi_composite": "BBG000BXXXXX",
      "figi_share_class": "BBG001SXXXXX",
      "refinitiv_exch_code": "NAS"
    }
  ]
}

Authorizations

apikey
string
query
required

Path Parameters

event_id
string
required
Example:

"4be8fed5-f9db-41ef-a107-c20c3339998d"

Response

OK

event_id
string

Unique identifier for the event.

title
string

Short title describing the event.

headline
string

Generated headline summarizing the event.

description
string

Longer description of the event.

symbol
string

Primary ticker symbol associated with the event.

exchange
string

Exchange where the primary stock is listed.

figis
string[]

List of FIGI share class identifiers related to the event.

event_type
string

Category of the event (e.g. EARNINGS, MERGER, GUIDANCE).

source
string

Source of the event signal.

sentiment
number<float>

Sentiment score associated with the event.

occurred_at
string<date-time>

ISO8601 timestamp when the event occurred.

created_at
string<date-time>

Timestamp of event record creation.

updated_at
string<date-time>

Timestamp of the last update to the event record.

securities
object[]